import { StateContext } from '@ngxs/store';
import { LayoutState } from '../../../core/models/layout';
import { UiHephaestusActions } from './ui-layout.actions';
import { HephaestusLayout } from '../layout.config';
import * as i0 from "@angular/core";
export interface UiHephaestusStateModel {
    config: HephaestusLayout;
    state: LayoutState;
}
export declare const getInitialState: () => UiHephaestusStateModel;
export declare class UiHephaestusState {
    constructor();
    onInitialize(ctx: StateContext<UiHephaestusStateModel>, action: UiHephaestusActions.Initialize): void;
    onSetSidebarWidth(ctx: StateContext<UiHephaestusStateModel>, action: UiHephaestusActions.SetSidebarWidth): void;
    onSetSidebarSlimWidth(ctx: StateContext<UiHephaestusStateModel>, action: UiHephaestusActions.SetSidebarSlimWidth): void;
    onSetMenuType(ctx: StateContext<UiHephaestusStateModel>, action: UiHephaestusActions.SetMenu): void;
    onShowSidebar(ctx: StateContext<UiHephaestusStateModel>): void;
    onHideSidebar(ctx: StateContext<UiHephaestusStateModel>): void;
    onToggleSidebar(ctx: StateContext<UiHephaestusStateModel>): void;
    onToggleMobileSidebar(ctx: StateContext<UiHephaestusStateModel>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UiHephaestusState, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UiHephaestusState>;
}
